Ticket - Machine Repair Management (#4,931)
Status: OPEN
Date: 18/11/2021
ID: 4,931
S/O number: SO2021/1720647
Reviewer: Hiral Bhatt
Module Name: machine_repair_industry
Version: 14.0
Tags: Odoo Community,

Assigned to
Contact
Tirth Mehta
tirth.mehta@browseinfo.in

Description
I tried to install Machine Repair Management module version 15 on Odoo Community version 14, but I get an error during the installation. Please see the error below:

Error:
Odoo Server Error

Traceback (most recent call last):
File "/odoo/odoo-server/odoo/tools/convert.py", line 677, in _tag_root
f(rec)
File "/odoo/odoo-server/odoo/tools/convert.py", line 580, in _tag_record
record = model._load_records([data], self.mode == 'update')
File "/odoo/odoo-server/odoo/models.py", line 4207, in _load_records
records = self._load_records_create([data['values'] for data in to_create])
File "/odoo/odoo-server/odoo/models.py", line 4136, in _load_records_create
return self.create(values)
File "<decorator-gen-42>", line 2, in create
File "/odoo/odoo-server/odoo/api.py", line 345, in _model_create_multi
return create(self, arg)
File "/odoo/odoo-server/odoo/addons/base/models/ir_ui_view.py", line 482, in create
return super(View, self).create(vals_list)
File "<decorator-gen-64>", line 2, in create
File "/odoo/odoo-server/odoo/api.py", line 345, in _model_create_multi
return create(self, arg)
File "/odoo/odoo-server/odoo/addons/base/models/ir_fields.py", line 534, in create
recs = super().create(vals_list)
File "<decorator-gen-13>", line 2, in create
File "/odoo/odoo-server/odoo/api.py", line 345, in _model_create_multi
return create(self, arg)
File "/odoo/odoo-server/odoo/models.py", line 3897, in create
fields[0].determine_inverse(batch_recs)
File "/odoo/odoo-server/odoo/fields.py", line 1185, in determine_inverse
getattr(records, self.inverse)()
File "/odoo/odoo-server/odoo/addons/base/models/ir_ui_view.py", line 300, in _inverse_arch
view.write(data)
File "/odoo/odoo-server/addons/website/models/theme_models.py", line 267, in write
res = super(IrUiView, other_views).write(vals)
File "/odoo/odoo-server/addons/website/models/ir_ui_view.py", line 68, in write
return super(View, self).write(vals)
File "/odoo/odoo-server/odoo/addons/base/models/ir_ui_view.py", line 500, in write
res = super(View, self).write(self._compute_defaults(vals))
File "/odoo/odoo-server/odoo/models.py", line 3681, in write
real_recs._validate_fields(vals, inverse_fields)
File "/odoo/odoo-server/odoo/models.py", line 1260, in _validate_fields
check(self)
File "/odoo/odoo-server/odoo/addons/base/models/ir_ui_view.py", line 408, in _check_xml
raise ValidationError(_(
File "/odoo/odoo-server/odoo/addons/base/models/ir_ui_view.py", line 385, in _check_xml
view_def = view.read_combined(['arch'])
File "/odoo/odoo-server/odoo/addons/base/models/ir_ui_view.py", line 809, in read_combined
arch = root.apply_view_inheritance(arch_tree, self.model)
File "/odoo/odoo-server/odoo/addons/base/models/ir_ui_view.py", line 750, in apply_view_inheritance
return self._apply_view_inheritance(source, inherit_tree)
File "/odoo/odoo-server/odoo/addons/base/models/ir_ui_view.py", line 758, in _apply_view_inheritance
source = view.apply_inheritance_specs(source, arch_tree)
File "/odoo/odoo-server/odoo/addons/base/models/ir_ui_view.py", line 735, in apply_inheritance_specs
self.handle_view_error(str(e))
File "/odoo/odoo-server/odoo/addons/base/models/ir_ui_view.py", line 673, in handle_view_error
raise ValueError(formatted_message).with_traceback(from_traceback) from from_exception
odoo.exceptions.ValidationError: Error while validating view:

Element '<xpath expr="//field[@name='detailed_type']">' cannot be located in parent view

View name: product.template.common.form.custom
Error context:
view: ir.ui.view(4152,)
xmlid: custom_product_template_form_view
view.model: product.template
view.parent: ir.ui.view(445,)
file: /odoo/odoo-server/addons/machine_repair_industry/views/custom_sale_view.xml


The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/odoo/odoo-server/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
result = request.dispatch()
File "/odoo/odoo-server/odoo/http.py", line 684, in dispatch
result = self._call_function(**self.params)
File "/odoo/odoo-server/odoo/http.py", line 360, in _call_function
return checked_call(self.db, *args, **kwargs)
File "/odoo/odoo-server/odoo/service/model.py", line 94, in wrapper
return f(dbname, *args, **kwargs)
File "/odoo/odoo-server/odoo/http.py", line 348, in checked_call
result = self.endpoint(*a, **kw)
File "/odoo/odoo-server/odoo/http.py", line 913, in __call__
return self.method(*args, **kw)
File "/odoo/odoo-server/odoo/http.py", line 532, in response_wrap
response = f(*args, **kw)
File "/odoo/odoo-server/addons/web/controllers/main.py", line 1393, in call_button
action = self._call_kw(model, method, args, kwargs)
File "/odoo/odoo-server/addons/web/controllers/main.py", line 1381, in _call_kw
return call_kw(request.env[model], method, args, kwargs)
File "/odoo/odoo-server/odoo/api.py", line 396, in call_kw
result = _call_kw_multi(method, model, args, kwargs)
File "/odoo/odoo-server/odoo/api.py", line 383, in _call_kw_multi
result = method(recs, *args, **kwargs)
File "<decorator-gen-71>", line 2, in button_immediate_install
File "/odoo/odoo-server/odoo/addons/base/models/ir_module.py", line 74, in check_and_log
return method(self, *args, **kwargs)
File "/odoo/odoo-server/odoo/addons/base/models/ir_module.py", line 475, in button_immediate_install
return self._button_immediate_function(type(self).button_install)
File "/odoo/odoo-server/odoo/addons/base/models/ir_module.py", line 593, in _button_immediate_function
modules.registry.Registry.new(self._cr.dbname, update_module=True)
File "/odoo/odoo-server/odoo/modules/registry.py", line 89, in new
odoo.modules.load_modules(registry._db, force_demo, status, update_module)
File "/odoo/odoo-server/odoo/modules/loading.py", line 458, in load_modules
processed_modules += load_marked_modules(cr, graph,
File "/odoo/odoo-server/odoo/modules/loading.py", line 346, in load_marked_modules
loaded, processed = load_module_graph(
File "/odoo/odoo-server/odoo/modules/loading.py", line 221, in load_module_graph
load_data(cr, idref, mode, kind='data', package=package)
File "/odoo/odoo-server/odoo/modules/loading.py", line 69, in load_data
tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind)
File "/odoo/odoo-server/odoo/tools/convert.py", line 733, in convert_file
convert_xml_import(cr, module, fp, idref, mode, noupdate)
File "/odoo/odoo-server/odoo/tools/convert.py", line 799, in convert_xml_import
obj.parse(doc.getroot())
File "/odoo/odoo-server/odoo/tools/convert.py", line 719, in parse
self._tag_root(de)
File "/odoo/odoo-server/odoo/tools/convert.py", line 677, in _tag_root
f(rec)
File "/odoo/odoo-server/odoo/tools/convert.py", line 681, in _tag_root
raise ParseError('while parsing %s:%s, near\n%s' % (
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/odoo/odoo-server/odoo/http.py", line 640, in _handle_exception
return super(JsonRequest, self)._handle_exception(exception)
File "/odoo/odoo-server/odoo/http.py", line 316, in _handle_exception
raise exception.with_traceback(None) from new_cause
odoo.tools.convert.ParseError: while parsing /odoo/odoo-server/addons/machine_repair_industry/views/custom_sale_view.xml:55, near
<record id="custom_product_template_form_view" model="ir.ui.view">
<field name="name">product.template.common.form.custom</field>
<field name="model">product.template</field>
<field name="inherit_id" ref="product.product_template_form_view"/>
<field name="arch" type="xml">
<xpath expr="//field[@name='detailed_type']" position="after">
<field name="machine"/>
</xpath>
</field>
</record>

Message and communication history